Linux kernel before 5.3.5 Uncontrolled Resource Consumption Vulnerability

Summary

Linux kernel before 5.3.5 suffers from uncontrolled resource consumption vulnerability

 

Credit:

The information has been provided by Greg Kroah-Hartman

The original article can be found at:https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.3.5


Details

Two memory leaks in the sja1105_static_config_upload() function in drivers/net/dsa/sja1105/sja1105_spi.c in the Linux kernel before 5.3.5 allow attackers to cause a denial of service (memory consumption) by triggering static_config_buf_prepare_for_upload() or sja1105_inhibit_tx() failures, aka CID-68501df92d11.

 

Vulnerable Systems:

Linux kernel before 5.3.5 

 

CVE Information:

CVE-2019-18807

 

Disclosure Timeline:
Published Date:11/7/2019